<!doctype html>
<html lang="en">

	<head>
		<meta charset="utf-8">

		  <title>Encontrar, seleccionar, anotar y analizar textos en lenguas romances con TextGrid</title>

		  <meta name="description" content="Encontrar, seleccionar, anotar y analizar textos en lenguas romances con TextGrid">
		<meta name="author" content="Dr. José Calvo Tello">
		    
		<meta name="apple-mobile-web-app-capable" content="yes">
		<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">

		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<link rel="stylesheet" href="../../lib/reveal/dist/reset.css">
		<link rel="stylesheet" href="../../lib/reveal/dist/reveal.css">
			<link rel="stylesheet" href="../../lib/reveal/dist/theme/white.css" id="theme">
				<link rel="stylesheet" href="custom.css">

		<!-- Theme used for syntax highlighting of code -->
		<link rel="stylesheet" href="../../lib/reveal/plugin/highlight/monokai.css" id="highlight-theme">
	</head>

	<body>

        <div class="reveal">
            <div class="slides">
              
				<section data-markdown="" data-separator="^\n---\n" data-separator-vertical="^\n--\n" data-charset="utf-8">
					<script type="text/template">
<!-- .slide: class="firstSlide" -->			
## Encontrar, seleccionar, anotar y analizar textos en lenguas romances con TextGrid

<br />

###### Masterkolloquium Iberoromanische Literaturwissenschaft, bei apl. Prof. Dr. Annette Paatz
<hr />

##### Dr. José Calvo Tello (SUB Göttingen)

<img data-src="./../../images/GAU_SUB_horizontal_cmyk_2022_p.jpg" width="600"/>

--

## Contenido

1. Trabajo con textos literarios
2. TextGrid Repository
3. CoNSSA
4. **Funciones de TextGrid Repository**
5. Más corpus: ELTeC
6. Conclusiones

--

## Sobre mí

- *The Novel in the Spanish Silver Age: A Digital Analysis of Genre Using Machine Learning*
- En Open Access: https://www.transcript-verlag.de/978-3-8376-5925-2

<img src="./../../images/thesis.jpg" width="200"/>

--
## Sobre mí

- Desde mayo de 2020 investigador y *Fachreferent* de Romanística, Humanidades Digitales e Historia del Arte (SUB, Göttingen)
- https://www.sub.uni-goettingen.de/geisteswissenschaften-und-theologie/romanistik/

---

# Pad

https://pad.gwdg.de/20220628_textgrid?both


---

# 2. Trabajo con textos literarios

--
## 2. Trabajo con textos literarios

- Benito Pérez Galdós y Emilia Pardo Bazán
- Representación de ciertos temas (a través de ciertos lemas)
  - Hombre y mujer
  - Madrid
  - España
- ¿Otro tema? Música, Dios, sexo, muerte, guerra, hijos...

---

# TextGrid Repository

--
## TextGrid Repository

- Repositorio

<br />
<img src="./../../images/schema_repo.png" width="600"/>

--

## TextGrid Repository

- *Digitale Bibliothek*
- Textos en alemán
- Germanística
- También textos traducidos
- Desarrollado desde hace más de 20 años
- Cierta falta de usabilidad

--

## TextGrid 
- Hedges, Mark, Heike Neuroth, Kathleen M. Smith, Tobias Blanke, Laurent Romary, Marc Küster, and Malcolm Illingworth. 2013. ‘TextGrid, TEXTvre, and DARIAH: Sustainability of Infrastructures for Textual Scholarship’. Journal of the Text Encoding Initiative, no. Issue 5 (June). https://doi.org/10.4000/jtei.774.

<img src="./../../images/textgrid.png" width="200"/>


--
## ¡Nuevas funciones, nuevos datos!

- NFDI: Nationale Forschungsdateninfrastruktur
- Consorcio Text+
<br />
<img src="./../../images/nfdi.png" width="200"/>
<img src="./../../images/text+.png" width="200"/>

--

## Corpus para la Romanística
1. CoNSSA: novelas españolas 1880-1939
2. ELTeC: novelas europeas entre 1840-1920



--
### ¡En desarrollo!
1. https://dev.textgridrep.org/
2. https://textgridrep.org/
3. Links no son estables
4. Algunas funciones cambiarán ligeramente
5. ¿Feedback?

---
# CoNSSA 

--
## CoNSSA 

- Corpus of the Novels of the Spanish Silver Age
  - españolas
  - 1880-1939
- 358 novelas
  - No todas pueden publicarse por derechos de autor  
  - Publicadas 217
- Autores canónicos:
  - Galdós, Bazán, Unamuno, Valle, Baroja, Sender, Francisco de Ayala...
- Autores no tan canónicos:
  - Concha Espina, De Burgos, Urabayen, Sawa, Trigo...

--
## Publicación de CoNSSA en GitHub y Zenodo
- https://github.com/cligs/conssa
- DOI en Zenodo: https://doi.org/10.5281/zenodo.4674257

--

## Datos en CoNSSA
- Todo en archivos TEI XML
- Metadatos
- Texto
  - Paratexto
  - Estructura
- Anotación lingüística (POS, lematización, categorías semánticas...)

<img src="./../../images/tei.jpg" width="200"/>

--

## Datos en CoNSSA
- Descripción de corpus en capítulos 3.1. y 3.2 de la tesis
- https://www.transcript-open.de/doi/10.14361/9783839459256-005?html#read-container


--
## CoNSSA en TextGrid Repository

- Para facilitar la lectura y el uso
- https://dev.textgridrep.org/project/TGPR-44684af6-1d30-b6d0-3665-62a87b5380b7
- ¡En desarrollo!

---

# Navegar por TextGrid Repository


--
# Encontrar proyecto CoNSSA

https://dev.textgridrep.org

--

# Llegar a un texto

--

## ¿Por qué tengo que clickar dos o tres veces?

--

## ¿Por qué tengo que clickar dos o tres veces? 

<img src="./../../images/frbr.png" width="800"/>

--

## ¿Por qué tengo que clickar dos o tres veces? Estructura 

1. Proyecto: CoNSSA
2. Corpus: CoNSSA
3. Obra: text/tg.edition+tg.aggregation+xml
<img src="./img/work.png" width="50"/>
4. Edición (texto): text/xml
<img src="./img/edition.png" width="50"/>

--

# Características básicas de TextGrid Repository
- Filters
- Identificadores
- Sugerencias de citación
- Link a identificador de la *gemeinsame Normdatei* (GND, DNB)
  - Ejemplo: Galdós es gnd:118641573
  - https://d-nb.info/gnd/118641573

---
# Buscar palabras en texto

--

- Búsqueda en el campo de texto:
  - *mujer, hombre*
  - Madrid
- Fuzzy search y wild cards
  - *mujeres\~, hombres\~*
  - Españ*


---

# Opciones de descarga

--

## Opciones de descarga
1. Texto plano
2. TEI
3. ¿ePUB?

--
## Ejercicio: Descarga
1. Descarga todos los textos de Galdós en texto plano
2. Descarga todos los textos de Galdós en TEI


---

# Función *librería* (*Regal*)

--

## Función *librería* (*Regal*)
1. Añadir textos a la librería

--

## Ejercicio: Función *librería* (*Regal*)
1. Selecciona algunos textos (text/xml) y descárgalos

---

# Filtrar

--


## Filtrar: Por lengua

- Por ahora no tiene mucho sentido porque está en dev, en el futuro tendrá más sentido
- Menú
- edition.language:"spa"

--

## Filtrar: Por autor
- Menú
- Por nombre en el campo de búsqueda
  - work.agent.value: Benito Pérez Galdós
  - work.agent.value: Galdós
- Por identificador:
  - work.agent.id:"gnd:118641573"

--
## Filtrar: Por género del autor
- work.subject.id.value: authorGender AND work.subject.value: female
- work.subject.id.value: authorGender AND work.subject.value: female AND cuerpo~

--
## Ejercicio: Filtrar: Por género del autor
1. Decárgate todos los textos de mujeres

--
## Filtrar: Por año de publicación

- publicados en: work.dateOfCreation.value:1900
- publicados después de: work.dateOfCreation.value:>1901
- publicados antes de: work.dateOfCreation.value:<1901
- publicados entre: work.dateOfCreation.value:>1900 AND work.dateOfCreation.value:<1910 

--

## Ejercicio: Filtrar: Por año de publicación
- Selecciona todos los textos escritos por mujeres publicados después de 1900
<!--work.subject.id.value:"authorGender" AND work.subject.value:"female" AND work.dateOfCreation.value:>1900-->

---
# Analizar

--

# Enviar texto(s) directamente de TextGrid Repository a herramientas
<br />
<img src="./../../images/schema_data_repo_tool.png" width="600"/>


--
## Analizar mediante Voyant Tools
- Herramienta amigable de análisis de textos
- Subir textos desde local
- Enviar textos desde TextGrid

--

## Ejercicio: Analizar texto con Voyant Tools
1. Selecciona un texto
2. Envíalo a Voyant Tools

--

## Ejercicio: Analizar corpus con Voyant Tools
1. Selecciona un pequeño corpus
2. Envíalo a Voyant Tools

--
# Fuentes para aprender
1. Documentación de Voyant Tools: https://voyant-tools.org/docs/#!/guide/corpuscreator
1. Gutiérrez de la Torre, Silvia. 2019. ‘Análisis de corpus con Voyant Tools’. Edited by Jennifer Isasi. The Programming Historian en español, no. 3 (April). https://doi.org/10.46430/phes0043.

---
# Anotar


--

## Anotar
- Añadir información, normalmente a nivel de oración o palabra
  - Manualmente (intelectualmente)
  - Automáticamente

--
## Anotar automáticamente
1. CLARIN Switch Board
2. Identificar entidades mencionadas
3. Selecciona herramienta (NameTag, UDPipe)

--

## Ejercicio: Anotar automáticamente
1. Elige un texto
2. Envíalo a CLARIN Switch Board
3. Usa la herramienta NameTag
4. Elige Output Vertical

--

## Anotación manual

--
## Anotación manual
- **No funciona en dev**
- Anotación manual
- Personal o en grupo
- Función está en desarrollo

---

# ELTeC

--
## ELTeC

- European Literary Text Collection
- 11 corpus
- 1840-1920
- lenguas europeas (francés, español, portugués, rumano)
- 100 novelas por lengua
- Más lenguas con menos textos (italiano)
- Para otoño 2022, integrado en TextGrid Repository
- Ya en https://dev.textgridrep.org/
<!--https://dev.textgridrep.org/project/TGPR-7e530df5-8487-0f21-5e22-625ff1d961a8-->

---
# Conclusiones

--
# Conclusiones
### ¡TextGrid Repository tiene textos en lenguas romances!

--
# Conclusiones
- Funciones de TextGrid Repository
- Librería
- Buscar en textos
- Selecionar textos
- Descargar
- Analizar
- Anotar

--
# Conclusiones
- ¿Mucho contenido?
- Übung macht den Meister!
- Presentación, documentación

--
# Asesoría personalizada
- https://www.sub.uni-goettingen.de/geisteswissenschaften-und-theologie/romanistik/aktuelles/
- En "Aktuelles"

--

# ¡Feedback!

https://pad.gwdg.de/20220628_textgrid?both

1. ¿Les parece comprensible?
2. ¿Les parece útil?
3. ¿Qué función les parece más interesante?
4. ¿Qué echan de menos?
5. ¿Otros comentarios?


--
<img data-src="./../../images/gracias.png" width="700"/>

# por la atención!



					</script>
				</section>
            </div>
        </div>

        <script src="../../lib/reveal/dist/reveal.js"></script>
        <script src="../../lib/reveal/plugin/zoom/zoom.js"></script>
        <script src="../../lib/reveal/plugin/notes/notes.js"></script>
        <script src="../../lib/reveal/plugin/search/search.js"></script>
        <script src="../../lib/reveal/plugin/markdown/markdown.js"></script>
        <script src="../../lib/reveal/plugin/highlight/highlight.js"></script>
        <script>
    
          // Also available as an ES module, see:
          // https://revealjs.com/initialization/
          Reveal.initialize({
            controls: true,
            progress: true,
            center: true,
            hash: true,
    
            // Learn about plugins: https://revealjs.com/plugins/
            plugins: [ RevealZoom, RevealNotes, RevealSearch, RevealMarkdown, RevealHighlight ]
          });
    
        </script>
    
      </body>
    </html>
    